unit xeStringIO;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls, ExtCtrls, Buttons;

type
  TfrmStringIO = class(TForm)
    mmValue: TRichEdit;
    btnOK: TBitBtn;
    btnCancel: TBitBtn;
    Label1: TLabel;
  private
    function GetValue: string;
  public
    function ShowBox(ForInput: Boolean = False; AValue: string = ''): Boolean;
    property Value: string read GetValue;
  end;

var
  frmStringIO: TfrmStringIO;

implementation

{$R *.dfm}

{ TfrmStringIO }

function TfrmStringIO.GetValue: string;
begin
  Result := mmValue.Lines.Text;
end;

function TfrmStringIO.ShowBox(ForInput: Boolean = False; AValue: string = ''): Boolean;
begin
  mmValue.Lines.Text := AValue;
  mmValue.ReadOnly := not ForInput;
  btnCancel.Enabled := ForInput;

  Result := ShowModal = mrOK;
end;

end.
